import request from '@/utils/request'

// 查询客户聊天记录分析列表
export function listAnalyze(query) {
  return request({
    url: '/crm/analyze/list',
    method: 'get',
    params: query
  })
}
// 查询客户聊天记录分析列表
export function listAllAnalyze(data) {
    return request({
        url: '/crm/analyze/listAll',
        method: 'post',
        data: data
    })
}

// 查询客户聊天记录分析详细
export function getAnalyze(id) {
  return request({
    url: '/crm/analyze/' + id,
    method: 'get'
  })
}

// 新增客户聊天记录分析
export function addAnalyze(data) {
  return request({
    url: '/crm/analyze',
    method: 'post',
    data: data
  })
}

// 修改客户聊天记录分析
export function updateAnalyze(data) {
  return request({
    url: '/crm/analyze',
    method: 'put',
    data: data
  })
}

// 删除客户聊天记录分析
export function delAnalyze(id) {
  return request({
    url: '/crm/analyze/' + id,
    method: 'delete'
  })
}

// 导出客户聊天记录分析
export function exportAnalyze(query) {
  return request({
    url: '/crm/analyze/export',
    method: 'get',
    params: query
  })
}
